[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| XYZ2RGBFunctor [Color Space Conversions] |

Convert standardized tri-stimulus XYZ into linear (raw) RGB. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef RGBValue< T > | result_type
typedef RGBValue< T > | value_type
## Public Member Functions
template<class V>
result_type | operator() (V const &xyz) const
| XYZ2RGBFunctor (component_type max)
| XYZ2RGBFunctor ()

## Detailed Description

### template<class T>
class vigra::XYZ2RGBFunctor< T >

Convert standardized tri-stimulus XYZ into linear (raw) RGB.

#include <vigra/colorconversions.hxx>
Namespace: vigra

According to ITU-R Recommendation BT.709, the functor realizes the transformation

By default, . This default can be overridden in the constructor. This is the inverse transform of vigra::RGB2XYZFunctor.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type is more general: `V` with arbitrary `V`. But this cannot be expressed in a typedef.)

typedef RGBValue<T> result_type

the functor's result type

typedef RGBValue<T> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

XYZ2RGBFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

XYZ2RGBFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | xyz | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)